
const pages = [  
  {
    path: 'dashboard',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
      authority: [],  // 该字段会由服务端返回
    }
  },
  {
    path: 'system',
    name: 'system',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '系统配置',
    },
    children: [
      {
        path: 'sysuser',
        name: 'sysuserlist',
        component: () => import('./sysuser/list.vue'),
        meta: {
          menuShow: true,
          title: '系统人员',
          hasChildren: true,
        },
        children: [
          {
            path: 'edit',
            name: 'sysuseredit',
            component: () => import('./sysuser/edit.vue'),
            meta: {
              menuShow: false,
              title: '人员维护',
            },
          },
        ],
      },
      // {
      //   path: 'sysuser/userRole',
      //   name: 'userRole',
      //   component: () => import('./sysuser/userRole/list.vue'),
      //   meta: {
      //     menuShow: true,
      //     title: '人员角色',
      //   },
      // },
      {
        path: 'sysmenu',
        name: 'sysmenu',
        component: () => import('./sysmenu'),
        meta: {
          menuShow: true,
          title: '菜单管理',
        },
      },
      {
        path: 'sysuser/userRole/addUserRole',
        name: 'addUserRole',
        component: () => import('./sysuser/userRole/addUserRole.vue'),
        meta: {
          menuShow: false,
          title: '添加员工权限',
        },
      },
      {
        path: 'sysuser/userRole/userRoleedit',
        name: 'userRoleedit',
        component: () => import('./sysuser/userRole/userRoleedit.vue'),
        meta: {
          menuShow: false,
          title: '修改加员工权限',
        },
      },
      {
        path: 'sysuser/role',
        name: 'role',
        component: () => import('./sysuser/role/list.vue'),
        meta: {
          menuShow: true,
          title: '角色管理',
        },
      },
      {
        path: 'sysuser/role/add',
        name: 'role-add',
        component: () => import('./sysuser/role/add/add.vue'),
        meta: {
          menuShow: false,
          title: '角色添加',
        },
      },
      {
        path: 'sysuser/role/edi',
        name: 'role-edi',
        component: () => import('./sysuser/role/edi/edi.vue'),
        meta: {
          menuShow: false,
          title: '角色修改',
        },
      },
      {
        path: 'device',
        name: 'devicelist',
        component: () => import('./device/list.vue'),
        meta: {
          menuShow: true,
          title: '设备管理',
        },
      },
      {
        path: 'snapshot/:device',
        name: 'snapshotlist',
        component: () => import('./device/snapshot.vue'),
        meta: {
          menuShow: false,
          title: '抓拍列表',
        },
      },
      {
        path: 'params',
        name: 'paramlist',
        component: () => import('./sysparam/list.vue'),
        meta: {
          menuShow: true,
          title: '系统参数配置',
          hasChildren: true,
        },
        children: [
          {
            path: 'edit',
            name: 'paramedit',
            component: () => import('./sysparam/edit.vue'),
            meta: {
              menuShow: false,
              title: '系统参数维护',
            },
          },
        ],
      },
      {
        path: 'usertype',
        name: 'typelist',
        component: () => import('./type/list.vue'),
        meta: {
          menuShow: true,
          title: '人员类型',
          hasChildren: true,
        },
        children: [
          {
             path: 'edit',
             name: 'typeedit',
             component: () => import('./type/edit.vue'),
             meta: {
               menuShow: false,
               title: '人员类型编辑',
             }
           },
        ],
      },
      {
        path: 'words',
        name: 'wordslist',
        component: () => import('./words/list.vue'),
        meta: {
          menuShow: true,
          title: '来访致辞',
          hasChildren: true,
        },
        children: [
          {
            path: 'edit',
            name: 'wordsedit',
            component: () => import('./words/edit.vue'),
            meta: {
              menuShow: false,
              title: '来访致辞编辑',
            },
          },
        ],
      },
      {
        path: 'cartRecord',
        name: 'cartRecord',
        component: () => import('./cart/list.vue'),
        meta: {
          menuShow: false,
          title: '访客车辆记录',
        },
      },
      {
        path: 'management',
        name: 'managementlist',
        component: () => import('./carManagement/management.vue'),
        meta: {
          menuShow: true,
          title: '车辆管理',
        },
      },
      {
        path: 'goods',
        name: 'goods',
        component: () => import('./index.vue'),
        meta: {
          menuShow: true,
          title: '商品管理',
        },
        children: [
          {
            path: 'goodstype',
            name: 'goodstype',
            component: () => import('./goodsManager/GoodsType'),
            meta: {
              menuShow: true,
              title: '类型管理',
            },
          },
          {
            path: 'goodsspec',
            name: 'goodsspec',
            component: () => import('./goodsManager/GoodsSpec'),
            meta: {
              menuShow: true,
              title: '规格管理',
            },
          },
          {
            path: 'profile',
            name: 'goodsprofile',
            component: () => import('./goodsManager/goodManager'),
            meta: {
              menuShow: true,
              title: '商品维护',
              hasChildren: true,
            },
            children: [
              {
                path: 'edit',
                name: 'goodsedit',
                component: () => import('./goodsManager/goodManager/edit.vue'),
                meta: {
                  menuShow: false,
                  title: '商品编辑',
                },
              },
            ]
          },
        ],
      },
    ]
  },

  {
    path: 'cust-manager',
    name: 'cust-manager',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '客户管理',
    },
    children: [
      {
        path: 'visitor',
        name: 'visitor',
        component: () => import('./visitor/list.vue'),
        meta: {
          menuShow: true,
          title: '预约信息',
        },
      },
      {
        path: 'car',
        name: 'carlist',
        component: () => import('./security/list.vue'),
        meta: {
          menuShow: true,
          title: '来访车辆',
        },
      },
      {
        path: 'person',
        name: 'personlist',
        component: () => import('./person/list.vue'),
        meta: {
          menuShow: true,
          title: '来访记录',
          hasChildren: true,
        },
        children: [
          {
            path: 'edit',
            name: 'personedit',
            component: () => import('./person/edit.vue'),
            meta: {
              menuShow: false,
              title: '人员编辑',
            },
          },
        ],
      },
      {
        path: 'lobby',
        name: 'lobby',
        component: () => import('./lobby/list.vue'),
        meta: {
          menuShow: true,
          title: '接待记录',
        },
      },
      {
        path: 'followup',
        name: 'followuplist',
        component: () => import('./followup/list.vue'),
        meta: {
          menuShow: true,
          title: '客户列表',
        },
      },  
    ],
  },
  {
    path: 'first',
    name: 'first',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '首页配置',
    },
    children: [
      {
        path: 'content',
        name: 'content',
        component: () => import('./content/list.vue'),
        meta: {
          menuShow: true,
          title: '素 材 库',
        },
      },
      {
        path: 'noticelist',
        name: 'noticelist',
        component: () => import('./notice/list.vue'),
        meta: {
          menuShow: true,
          title: '公告设置',
        },
      },
      {
        path: 'noticeedit',
        name: 'noticeedit',
        component: () => import('./notice/edit.vue'),
        meta: {
          menuShow: false,
          title: '公告编辑',
        },
      },
      {
        path: 'screen',
        name: 'screenlist',
        component: () => import('./screen/list.vue'),
        meta: {
          menuShow: true,
          title: '首屏显示',
          hasChildren: true,
        },
        children: [
          {
            path: 'edit',
            name: 'screenedit',
            component: () => import('./screen/edit.vue'),
            meta: {
              menuShow: false,
              title: '首屏显示编辑',
            },
          },
        ],
      },
    ],
  },
]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []
    
    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
